import request from '@/utils/request'

// 查询会员基础信息列表
export function listInfo(data) {
    return request({
        url: '/member/info/list',
        method: 'post',
        data: data
    })
}

// 查询运营商VIP列表
export function queryMerchantVipList(data) {
    return request({
        url: '/member/info/queryMerchantVipList',
        method: 'post',
        data: data
    })
}

// 查询会员基础信息详细
export function getInfo(id) {
    return request({
        url: '/member/info/' + id,
        method: 'get'
    })
}

// 查询会员个人桩信息
export function getMemberPersonPileInfo(id) {
    return request({
        url: '/member/info/getMemberPersonPileInfo/' + id,
        method: 'get'
    })
}

// 新增会员基础信息
export function addInfo(data) {
    return request({
        url: '/member/info',
        method: 'post',
        data: data
    })
}

// 修改会员基础信息
export function updateInfo(data) {
    return request({
        url: '/member/info',
        method: 'put',
        data: data
    })
}

// 删除会员基础信息
export function delInfo(id) {
    return request({
        url: '/member/info/' + id,
        method: 'delete'
    })
}

// 开卡
export function createMerchantVip(data) {
    return request({
        url: '/member/info/createMerchantVip',
        method: 'post',
        data: data
    })
}

// 修改会员基础信息
export function updateMemberBalance(data) {
    return request({
        url: '/member/info/updateMemberBalance',
        method: 'put',
        data: data
    })
}

// 获取用户账户余额变动信息
export function getMemberBalanceChanges(data) {
    return request({
        url: '/member/info/queryMemberBalanceChanges',
        method: 'post',
        data: data
    })
}

// 获取会员交易流水
export function getMemberTransactionRecordList(data) {
    return request({
        url: '/member/info/selectMemberTransactionRecordList',
        method: 'post',
        data: data
    })
}

// 删除车牌号信息
export function deletePlateNumber(data) {
    return request({
        url: '/member/info/deletePlateNumber',
        method: 'post',
        data: data
    })
}

//修改车牌号
export function updatePlateNumber(data) {
    return request({
        url: '/member/info/updatePlateNumber',
        method: 'post',
        data: data
    })
}

// 查询会员详情页 平台测试员状态
export function selectPlatformTesterStatus(data) {
    return request({
        url: '/member/info/selectPlatformTesterStatus',
        method: 'post',
        data: data
    })
}

// 修改会员详情页 平台测试员状态
export function updatePlatformTester(data) {
    return request({
        url: '/member/info/updatePlatformTester',
        method: 'post',
        data: data
    })
}

// 获取运营商列表
export function getMerchantListByAuth() {
    return request({
        url: '/member/info/getMerchantListByAuth',
        method: 'get'
    })
}

// 查询钱包明细
export function getMemberBalanceChangesV2(data) {
    return request({
        url: '/uniapp/member/getMemberBalanceChangesV2',
        method: 'post',
        data: data
    });
}
